# VCardBuilder (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class VCardBuilder

- java.lang.Object
- - net.fortuna.ical4j.vcard.VCardBuilder

    public final class VCardBuilder
    extends Object

vCard object builder. $Id$ Created on: 02/11/2008

Author:
  Ben

### Constructor Summary

Constructors
Constructor and Description
`VCardBuilder(InputStream in)`
`VCardBuilder(Reader in)`
`VCardBuilder(Reader in, GroupRegistry registry, PropertyFactoryRegistry propertyFactoryRegistry, ParameterFactoryRegistry parameterFactoryRegistry)`

### Method Summary

Methods
`VCard` `build()`
`List<VCard>` `buildAll()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VCardBuilder

    public VCardBuilder(InputStream in)

Parameters:
  `in` - an input stream providing vCard data

#### VCardBuilder

    public VCardBuilder(Reader in)

Parameters:
  `in` - a reader providing vCard data

#### VCardBuilder

    public VCardBuilder(Reader in,
                GroupRegistry registry,
                PropertyFactoryRegistry propertyFactoryRegistry,
                ParameterFactoryRegistry parameterFactoryRegistry)

Parameters:
  `in` - a reader providing vCard data
  `registry` - a group registry used to construct vCard objects
  `propertyFactoryRegistry` - a property factory registry used to construct vCard objects
  `parameterFactoryRegistry` - a parameter factory registry used to construct vCard objects

### Method Detail

#### build

    public VCard build()
                throws IOException,
                       net.fortuna.ical4j.data.ParserException

Returns:
  a new vCard object instance
Throws:
  `IOException` - where a problem occurs reading vCard data
  `net.fortuna.ical4j.data.ParserException` - where parsing vCard data fails

#### buildAll

    public List<VCard> buildAll()
                         throws IOException,
                                net.fortuna.ical4j.data.ParserException

Returns:
  a list of vCard object instances
Throws:
  `IOException` - where a problem occurs reading vCard data
  `net.fortuna.ical4j.data.ParserException` - where parsing vCard data fails